Page MenuHomePhabricator

Integrate coding style and git practice documentation
Closed, ResolvedPublic

Description

Currently these pages of documentation are in phabricator wiki and not in dokuwiki. For consistency and proper integration, they should be converted to markdown and put at a proper place inside the /contrib tree of our dokuwiki.

cedric created this task.Aug 3 2017, 3:34 PM
cedric triaged this task as Wishlist priority.
zmike added a project: efl.Aug 22 2017, 3:42 PM
ajwillia.ms renamed this task from Integrate coding style, git practice and documentation writing to Integrate coding style and git practice documentation.Nov 1 2017, 4:28 AM
ajwillia.ms updated the task description. (Show Details)

Remaining:

https://phab.enlightenment.org/w/debugging/
https://phab.enlightenment.org/w/arcanist/
https://phab.enlightenment.org/w/coding_convention/

Also
https://phab.enlightenment.org/w/commit_check_point/
but we are not sure what exactly it's purpose was - the name is confusing and perhaps the content could be included elsewhere? It seems to be related to both git and arcanist...

Git Guide now in the /contrib/devs/ namespace of DokuWiki:
https://www.enlightenment.org/contrib/devs/git-guide.md

Arcanist Guide now in the /contrib/devs/ namespace of DokuWiki:
https://www.enlightenment.org/contrib/devs/arcanist-guide.md

Sweet, thanks. I have updated links from /docs and also marked the phab docs as moved.

This leaves:

https://phab.enlightenment.org/w/debugging/
https://phab.enlightenment.org/w/coding_convention/

And somehow to integrate
https://phab.enlightenment.org/w/commit_check_point/

Coding Conventions now in the /contrib/devs/ namespace of DokuWiki:
https://www.enlightenment.org/contrib/devs/coding-conventions.md

It still needs considerable tidying - the bullet-point block in the middle needs rewriting into a more accessible format - but it'll do for the time being.

Per @ajwillia.ms, the remaining sections of the following guide will also need to be integrated into the new layout:
https://phab.enlightenment.org/w/ecoding/

Initial plan:

  • "Contributing Code" forms the basis of the landing page in /contrib/devs/
  • "Testing and Debugging" integrated into the yet-to-be-ported debugging guide
  • "Editors" fleshed out and turned into a standalone document under /contrib/devs/ or /develop/, wherever is deemed most appropriate.

Ecoding now integrated into the /contrib/devs landing page.

Porting, splitting, integration and tidying of the debugging guides still ongoing.

cedric added a comment.Dec 1 2017, 2:32 AM

@ghalfacree I think we are done on this ticket, no ?

@cedric I've ported documentation for EFL app debugging, but it needs a serious rework. I've tidied the English and formatting, but the examples need looking at to see if they're still relevant to the new API - and the documents themselves end very abruptly without really telling you how to use the tools, just providing a couple of examples apiece.

cedric added a comment.Dec 1 2017, 6:38 AM

Ah, I forgot about the example there, sorry. Now I remember, we need to split it and then update the example/screenshot.

Debugging examples now up to date. I think screenshots is all that remains right?

@ajwillia.ms Text is up to date, too, everywhere *except* the Clouseau page - which is drastically incomplete. @pbrown66 has a better Clouseau guide on his to-do list which will replace the existing abortive attempt - so there's no point tweaking that page further or replacing the screenshots.

Once @pbrown66's Clouseau guide is done and in-place, this ticket should be closable.

ajwillia.ms closed this task as Resolved.Jan 4 2018, 7:35 AM

On looking at it the Clouseau outstanding issues belong on a separate tooling ticket (if the work is still outstanding).